-- Add default branch

-- Assuming existance of special user with id=1
INSERT INTO [dbfs].[Commits]([user_id], [message], [date])
VALUES (1, 'Storage has been initialized', GETUTCDATE());
DECLARE @idCommit INT;
SET @idCommit=(SELECT SCOPE_IDENTITY());

INSERT INTO [dbfs].[Branches]([user_id], [name], [origin_commit_id], [latest_commit_id], [date])
VALUES (1, 'Start', @idCommit, @idCommit, GETUTCDATE());
DECLARE @idBranch INT;
SET @idBranch=(SELECT SCOPE_IDENTITY());

INSERT INTO [dbfs].[BranchCommits]([branch_id], [commit_id])
VALUES (@idBranch, @idCommit);

INSERT INTO [dbfs].[Blobs]([size], [sha1], [content])
VALUES (0, 'da39a3ee5e6b4b0d3255bfef95601890afd80709', 0x);

GO
